# mina\_requestNetwork

### Params

null

### Result

```typescript
type ChainInfoArgs ={
    // current networkID, now will return mina:mainnet, mina:devnet, zeko:testnet
    networkID:string
}

Promise<ChainInfoArgs>
```

{% hint style="danger" %}

```markdown
** Please update as soon as possible. **
`ChainInfoArgs` params have updated from App 2.0.2 & extension 2.2.17.
Only `networkID` is returned, no longer supports returning `chainId` and `name`. 

// @deprecated from App 2.0.2 & extension 2.2.17.
type ChainInfoArgs ={ 
    chainId:string,
    name:string
}
```

{% endhint %}

### Errors

null

## Example

### Request

```typescript
await window.mina?.requestNetwork().catch((err: any) => err);
```

### Result

```typescript
{
  "networkID": "mina:mainnet"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aurowallet.com/general/reference/api-reference/methods/mina_requestnetwork.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
